pub struct UiRunCommandRequest {
pub auth: UiAutomationAuth,
pub command: String,
pub target: Option<String>,
}Expand description
POST /api/v1/ui/shortcuts/run
Fields§
§auth: UiAutomationAuth§command: StringA command id from ListShortcuts (split:right, files:refresh).
target: Option<String>A pane in the active tab to focus first; absent = the focused pane.
Trait Implementations§
Source§impl Clone for UiRunCommandRequest
impl Clone for UiRunCommandRequest
Source§fn clone(&self) -> UiRunCommandRequest
fn clone(&self) -> UiRunCommandRequest
Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§fn clone_from(&mut self, source: &Self)
fn clone_from(&mut self, source: &Self)
Performs copy-assignment from
source. Read moreSource§impl Debug for UiRunCommandRequest
impl Debug for UiRunCommandRequest
Source§impl<'de> Deserialize<'de> for UiRunCommandRequest
impl<'de> Deserialize<'de> for UiRunCommandRequest
Source§fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>where
__D: Deserializer<'de>,
Deserialize this value from the given Serde deserializer. Read more
Auto Trait Implementations§
impl Freeze for UiRunCommandRequest
impl RefUnwindSafe for UiRunCommandRequest
impl Send for UiRunCommandRequest
impl Sync for UiRunCommandRequest
impl Unpin for UiRunCommandRequest
impl UnsafeUnpin for UiRunCommandRequest
impl UnwindSafe for UiRunCommandRequest
Blanket Implementations§
Source§impl<T> BorrowMut<T> for Twhere
T: ?Sized,
impl<T> BorrowMut<T> for Twhere
T: ?Sized,
Source§fn borrow_mut(&mut self) -> &mut T
fn borrow_mut(&mut self) -> &mut T
Mutably borrows from an owned value. Read more